events.listen('recipes', function (c) {

var cloche = c.recipes.immersiveengineering.cloche
  
function seed(type) {
cloche({
results: [{
item: 'pamhc2crops:' + type + 'item',
count: 1
}],
input: {
item: 'pamhc2crops:' + type + 'seeditem'
},
soil: {
item: 'minecraft:dirt'
},
time: 300,
render: {
type: 'crop',
block: 'pamhc2crops:pam' + type + 'crop'
}
})}

function seed2(type) {
    cloche({
    results: [{
    item: 'thermal:' + type,
    count: 1
    }],
    input: {
    item: 'thermal:' + type + '_seeds'
    },
    soil: {
    item: 'minecraft:dirt'
    },
    time: 300,
    render: {
    type: 'crop',
    block: 'thermal:' + type
    }})}

//Seeds (pams)
seed('zucchini')
seed('agave')
seed('amaranth')
seed('arrowroot')
seed('artichoke')
seed('asparagus')
seed('barley')
seed('bean')
seed('bellpepper')
seed('blackberry')
seed('blueberry')
seed('broccoli')
seed('brusselsprout')
seed('cabbage')
seed('cactusfruit')
seed('candleberry')
seed('cantaloupe')
seed('cassava')
seed('cauliflower')
seed('celery')
seed('chickpea')
seed('chilipepper')
seed('coffeebean')
seed('corn')
seed('cotton')
seed('cranberry')
seed('cucumber')
seed('eggplant')
seed('elderberry')
seed('flax')
seed('garlic')
seed('ginger')
seed('grape')
seed('greengrape')
seed('huckleberry')
seed('jicama')
seed('juniperberry')
seed('jute')
seed('kale')
seed('kenaf')
seed('kiwi')
seed('kohlrabi')
seed('leek')
seed('lentil')
seed('lettuce')
seed('millet')
seed('mulberry')
seed('mustardseeds')
seed('oats')
seed('okra')
seed('onion')
seed('parsnip')
seed('peanut')
seed('peas')
seed('pineapple')
seed('quinoa')
seed('radish')
seed('raspberry')
seed('rhubarb')
seed('rice')
seed('rutabaga')
seed('rye')
seed('scallion')
seed('sesameseeds')
seed('sisal')
seed('soybean')
seed('spiceleaf')
seed('spinach')
seed('strawberry')
seed('sweetpotato')
seed('taro')
seed('tealeaf')
seed('tomatillo')
seed('tomato')
seed('turnip')
seed('waterchestnut')
seed('whitemushroom')
seed('wintersquash')

//Thermal
seed2('barley')
seed2('corn')
seed2('onion')
seed2('radish')
seed2('rice')
seed2('sadiroot')
seed2('spinach')
seed2('bell_pepper')
seed2('eggplant')
seed2('green_bean')
seed2('peanut')
seed2('strawberry')
seed2('tomato')
seed2('tea')


})